Package org.apache.tapestry5.internal.plastic

## Class AnnotationBuilder

- java.lang.Object
- - org.apache.tapestry5.internal.plastic.asm.AnnotationVisitor
  - - org.apache.tapestry5.internal.plastic.AbstractAnnotationBuilder
    - - org.apache.tapestry5.internal.plastic.AnnotationBuilder

-     public class AnnotationBuilder
      extends AbstractAnnotationBuilder

- - ### Field Summary

    - ### Fields inherited from class org.apache.tapestry5.internal.plastic.AbstractAnnotationBuilder

      `pool`

    - ### Fields inherited from class org.apache.tapestry5.internal.plastic.asm.AnnotationVisitor

      `api, av`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AnnotationBuilder​(java.lang.Class annotationType, PlasticClassPool pool)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `createAnnotation()` |
    `protected java.lang.Class` | `elementTypeForArrayAttribute​(java.lang.String name)` |
    `protected void` | `store​(java.lang.String name, java.lang.Object value)` |

    - ### Methods inherited from class org.apache.tapestry5.internal.plastic.AbstractAnnotationBuilder

      `visit, visitAnnotation, visitArray, visitEnd, visitEnum`

    - ### Methods inherited from class org.apache.tapestry5.internal.plastic.asm.AnnotationVisitor

      `getDelegate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AnnotationBuilder

          public AnnotationBuilder​(java.lang.Class annotationType,
                                   PlasticClassPool pool)

  - ### Method Detail

    - #### store

          protected void store​(java.lang.String name,
                               java.lang.Object value)

      Specified by:
        `store` in class `AbstractAnnotationBuilder`

    - #### elementTypeForArrayAttribute

          protected java.lang.Class elementTypeForArrayAttribute​(java.lang.String name)

      Overrides:
        `elementTypeForArrayAttribute` in class `AbstractAnnotationBuilder`

    - #### createAnnotation

          public java.lang.Object createAnnotation()